from setuptools import find_packages

setup_params = dict(
    name="pmxbot-wolframalpha",
    version="1.1",
    packages=find_packages(),
    entry_points=dict(
        pmxbot_handlers = [
            'wolfram_alpha = pmxbot_wolframalpha:init',
        ]
    ), 
    install_requires=[
        "pmxbot>=1005",
        "lxml",
    ],
    description="Wolfram Alpha support for pmxbot",
    license = 'MIT',
    author="You Gov, Plc. (chmullig, jaraco)",
    author_email="open.source@yougov.com",
    maintainer = 'chmullig',
    maintainer_email = 'chmullig@gmail.com',
    url = 'http://bitbucket.org/yougov/pmxbot-wolframalpha',
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Operating System :: POSIX',
        'Programming Language :: Python :: 2.5',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Topic :: Communications :: Chat',
        'Topic :: Communications :: Chat :: Internet Relay Chat',
    ],
)

if __name__ == '__main__':
    from setuptools import setup
    setup(**setup_params)
